import { ApolloClient, NormalizedCacheObject } from '@apollo/client';
import { BaseModel } from '../types/common';
export declare class ApolloBaseService {
    apolloClient: ApolloClient<NormalizedCacheObject>;
    constructor({ apolloClient }: {
        apolloClient: ApolloClient<any>;
    });
    isDevelopment: boolean;
    generateReference({ id, __typename }: BaseModel): string;
    getModelFromCache<T extends Record<string, any>>(__ref: string | BaseModel): T;
}
